PARTX(8)

NAME
partx - tell the Linux kernel about the presence and numbering of on-disk partitions

SYNOPSIS
partx [-a|-d|-s] [-t TYPE] [-n M:N] [-] disk partx [-a|-d|-s] [-t TYPE] partition [disk]

DESCRIPTION
Given a device or disk-image, partx tries to parse the partition table and list its contents. It optionally adds or removes partitions. The disk argument is optional when a partition argument is provided. To force scanning a partition as if it were a whole disk (for example to list nested subpartitions), use the argument "-". For example:
    partx --show - /dev/sda3
This will see sda3 as a whole-disk rather than a partition. This is not an fdisk program -- adding and removing partitions does not change the disk, it just tells the kernel about the presence and numbering of on-disk partitions.

OPTIONS

-a, --add
    Add the specified partitions, or read the disk and add all partitions.

-b, --bytes
    Print the SIZE column in bytes rather than in human-readable format.

-d, --delete
    Delete the specified partitions or all partitions.

-g, --noheadings
    Do not print a header line.

-l, --list
    List the partitions. Note that all numbers are in 512-byte sectors. This output format is DEPRECATED in favour of --show. Don't use it in newly written scripts.

-o, --output list
    Define the output columns to use for --show and --raw output. If no output arrangement is specified, then a default set is used. Use --help to get list of all supported columns.

-r, --raw
    Use the raw output format.

-s, --show
    List the partitions. All numbers (except SIZE) are in 512-byte sectors. The output columns can be rearranged with the --output option.

-t, --type type
    Specify the partition table type -- aix, bsd, dos, gpt, mac, minix, sgi, solaris_x86, sun, ultrix or unixware.

-n, --nr M:N
    Specify the range of partitions. For backward compatibility also the format <M-N> is supported. The range may contain negative numbers, for example "--nr :-1" means the last partition, and "--nr -2:-1" means the last two partitions. Supported range specifications are:

    <M> Specifies just one partition (e.g. --nr 3).

    <M:>
        Specifies lower limit only (e.g. --nr 2:).

    <:N>
        Specifies upper limit only (e.g. --nr :4).

    <M:N>
        or <M-N> Specifies lower and upper limits (e.g. --nr 2:4).

EXAMPLES

partx --show /dev/sdb3

partx --show --nr 3 /dev/sdb

partx --show /dev/sdb3 /dev/sdb
    All three commands list partition 3 of /dev/sdb.

partx --show - /dev/sdb3
    Lists all subpartitions on /dev/sdb3 (the device is used as whole-disk).

partx -o START -g --nr 3 /dev/sdb
    Prints the start sector of partition 5 on /dev/sda without header.

partx -o SECTORS,SIZE /dev/sda5 /dev/sda
    Lists the length in sectors and human-readable size of partition 5 on /dev/sda.

partx --add --nr 3:5 /dev/sdd
    Adds all available partitions from 3 to 5 (inclusive) on /dev/sdd.

partx -d --nr :-1 /dev/sdd
    Removes the last partition on /dev/sdd.

SEE ALSO
addpart(8), delpart(8), fdisk(8), parted(8), partprobe(8)

AUTHORS
Davidlohr Bueso <dave@gnu.org>
Karel Zak <kzak@redhat.com>
The original version was written by Andries E. Brouwer <aeb@cwi.nl>.

AVAILABILITY
The partx command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.